Bug 4392 - Netscape interfering with xhosts rgb allocation
Netscape interfering with xhosts rgb allocation
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
6.0
sparc Linux
low Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-06 06:09 EDT by jocks
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-18 14:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jocks 1999-08-06 06:09:11 EDT
I have RH6.0 Kernel 2.2.5-22 & KDE on a sparc 5.  I am a
full blown member of the NIS domain and all is well.  When I
log in I can xhost + and X display applications from solaris
boxes i.e. metatool, Legato Networker etc.

I made a change to my rgb.txt file so that "default
background" was an available colour (I used alice blue).
This works well however, when I start netscape on my machine
it complains that it cannot allocate a colour map entry for
"default background" and then proceeds to work well.

When I subsequently try to launch remote apps after
launching netscape I get an error for "default background"
and cannot get all the colours.  This causes me problems
since Legato Networker has white text on the default
background which is white after launching netscape.  I can
reset the system by logging out and restarting X.

I have tried other window managers i.e. FWM95, Afterstep,
Lesstif but this seems to make no difference.  The problem
seems to lie with X and Netscape.  I have Rh6.0 on a P90
behind me and I does not experience the same problem (Matrox
Millennium 4Mb video, much more colours than Sun).

If this is an error on my part I apologise for wasting your
time.  FYI apart from X11amp, all applications I have tested
seem to run well and the performance blows away Solaris 7.
Comment 1 jocks 1999-08-06 06:15:59 EDT
I forgot to mention that I upgraded X to -52 aswell and this did not
help either!
Comment 2 Preston Brown 1999-08-18 14:11:59 EDT
"default background" is not an actual color.  It's just part of the
error message from Netscape.

KDE + Netscape uses more colors than an 8bit frame buffer can
typically handle.  We suggest you start netscape by doing 'netscape
-install' to allow it to have its own full colormap.  This will cause
colormap flashing, but it will solve your problem.

the other option is to get a framebuffer with more colors available
(i.e 24 bit).

Note You need to log in before you can comment on or make changes to this bug.